summaryrefslogtreecommitdiffstats
path: root/remote
diff options
context:
space:
mode:
authorSimon Rettberg2015-10-09 13:56:23 +0200
committerSimon Rettberg2015-10-09 13:56:23 +0200
commit7dfb5eec0f85bc89d24621e25a97588d4210ca7d (patch)
tree7ca49fa2e4bf3415477826b68109b4add5cf5d09 /remote
parent[kernel] Use The 15.04 kernel on Ubuntu 14.04 (diff)
downloadtm-scripts-7dfb5eec0f85bc89d24621e25a97588d4210ca7d.tar.gz
tm-scripts-7dfb5eec0f85bc89d24621e25a97588d4210ca7d.tar.xz
tm-scripts-7dfb5eec0f85bc89d24621e25a97588d4210ca7d.zip
[systemd] Init tty to look prettier
Diffstat (limited to 'remote')
-rwxr-xr-xremote/modules/systemd/data/opt/openslx/scripts/tty-init23
-rw-r--r--remote/modules/systemd/data/usr/lib/systemd/system/getty@.service2
2 files changed, 24 insertions, 1 deletions
diff --git a/remote/modules/systemd/data/opt/openslx/scripts/tty-init b/remote/modules/systemd/data/opt/openslx/scripts/tty-init
new file mode 100755
index 00000000..a157854d
--- /dev/null
+++ b/remote/modules/systemd/data/opt/openslx/scripts/tty-init
@@ -0,0 +1,23 @@
+#!/bin/ash
+
+[ -c "/dev/$1" ] || exit 0
+
+exec > "/dev/$1"
+echo -en "\e]P0232323" #black
+echo -en "\e]P82B2B2B" #darkgrey
+echo -en "\e]P1D75F5F" #darkred
+echo -en "\e]P9E33636" #red
+echo -en "\e]P287AF5F" #darkgreen
+echo -en "\e]PA98E34D" #green
+echo -en "\e]P3D7AF87" #brown
+echo -en "\e]PBFFD75F" #yellow
+echo -en "\e]P48787AF" #darkblue
+echo -en "\e]PC7373C9" #blue
+echo -en "\e]P5BD53A5" #darkmagenta
+echo -en "\e]PDD633B2" #magenta
+echo -en "\e]P65FAFAF" #darkcyan
+echo -en "\e]PE44C9C9" #cyan
+echo -en "\e]P7E5E5E5" #lightgrey
+echo -en "\e]PFFFFFFF" #white
+echo -en '\033c' #clear
+
diff --git a/remote/modules/systemd/data/usr/lib/systemd/system/getty@.service b/remote/modules/systemd/data/usr/lib/systemd/system/getty@.service
index 772566d6..5c1d1666 100644
--- a/remote/modules/systemd/data/usr/lib/systemd/system/getty@.service
+++ b/remote/modules/systemd/data/usr/lib/systemd/system/getty@.service
@@ -26,7 +26,7 @@ ConditionPathExists=/dev/tty0
[Service]
ExecStartPre=-/opt/openslx/bin/killall fbsplash
-ExecStartPre=-/bin/bash -c "echo -e '\033c' > /dev/%i"
+ExecStartPre=-/opt/openslx/scripts/tty-init %I
# the VT is cleared by TTYVTDisallocate
ExecStart=-/sbin/agetty %I 38400 linux
Type=idle